import { AfterContentInit, AfterViewInit, ElementRef, EventEmitter, NgZone, OnDestroy, OnInit, QueryList, TemplateRef, ViewContainerRef } from '@angular/core';
import { Overlay } from '@angular/cdk/overlay';
import { FormControl, ValidationErrors } from '@angular/forms';
import { Observable } from 'rxjs';
import { Paginator } from '../../../paginator/models/paginator';
import { OptionComponent } from '../option/option.component';
export declare class SelectComponent implements OnInit, AfterViewInit, OnDestroy, AfterContentInit {
    private _elRef;
    private _viewRef;
    private _overlay;
    private _ngZone;
    private _destroy;
    input: ElementRef<any>;
    panel: TemplateRef<any>;
    placeholder: string;
    paginator: Paginator;
    multiple: null | undefined | boolean;
    errors: string | ValidationErrors;
    queryChange: EventEmitter<string>;
    pageChange: EventEmitter<number>;
    options: QueryList<OptionComponent>;
    selectionChange: Observable<any>;
    private _overlayRef;
    private _externalValueControl;
    control: FormControl;
    private _internalValueControl;
    readonly internalValueControl: FormControl;
    private _queryControl;
    readonly queryControl: FormControl;
    constructor(_elRef: ElementRef, _viewRef: ViewContainerRef, _overlay: Overlay, _ngZone: NgZone);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    private _resetOptions();
    private _getPositionStrategy();
    private _getConfig();
    private _getPortal(templateRef);
    private _attachOptions();
    private _detachOptions();
    clickIn(): void;
    clickOut(event: MouseEvent, targetElement: HTMLElement): void;
    private _toggleValue(values, value);
    isMultiple(): boolean;
    showQuery(): boolean;
    isActive(value: string): boolean;
}
