import { OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import { SliderValue } from '../../models/slider-value';
export declare class SliderComponent implements OnInit, OnChanges, OnDestroy {
    private _destroy;
    private _container;
    private _stepsCount;
    private _lowerIndex;
    private _upperIndex;
    min: number;
    max: number;
    step: number;
    steps: number[];
    controlLower: FormControl;
    controlUpper: FormControl;
    readonly sliderWidth: number;
    readonly stepWidth: number;
    readonly trackLength: number;
    readonly trackOffset: number;
    readonly trackStyles: {
        [key: string]: string;
    };
    private _value;
    value: SliderValue;
    constructor();
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private _isDefined(value);
    private _setup();
    private _calculateIndex(x);
    private _calculateLowerIndex(x);
    private _calculateUpperIndex(x);
    private _indexToValue(index);
    private _valueToIndex(value);
    onPanLower(event: any): void;
    onPanUpper(event: any): void;
    onPanStart(): void;
    onPanEnd(): void;
}
